Bug 1999648 - Remove remaining Storage Class in console-app
Summary: Remove remaining Storage Class in console-app
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: ralpert
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-31 13:44 UTC by ralpert
Modified: 2021-10-18 17:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:50:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9947 0 None None None 2021-08-31 13:46:45 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:50:42 UTC

Description ralpert 2021-08-31 13:44:28 UTC
Description of problem:
The console-app package has a remaining string for "Storage Class." It should be updated to "StorageClass."

Version-Release number of selected component (if applicable):
4.9

How reproducible:
Always

Steps to Reproduce:
1. Look at packages/console-app/src/components/modals/clone/clone-pvc-modal.tsx

Actual results:
There is a string for "Storage Class."

Expected results:
String should be "StorageClass."

Additional info:

Comment 3 Xiyun Zhao 2021-09-06 11:16:44 UTC
This bug has been fixed and verified on payload 4.9.0-0.nightly-2021-09-05-192114

Prepare data for the verification:
1. Create PersistentVolumeClaim
   $ cat pvc.yaml
     apiVersion: v1
     kind: PersistentVolumeClaim
     metadata:
       name: testpvc
       namespace: default
     spec:
       accessModes:
         - ReadWriteOnce
       volumeMode: Filesystem
       resources:
         requests:
           storage: 1Gi
   $ oc apply -f pvc.yaml
2. Create Deployment Configs
   $ cat dc.yaml
     apiVersion: apps.openshift.io/v1
     kind: DeploymentConfig
     metadata:
       name: example2
       namespace: default
     spec:
       selector:
         app: httpd
       replicas: 3
       template:
         metadata:
           labels:
             app: httpd
         spec:
           containers:
             - name: httpd
               image: >-
                 image-registry.openshift-image-registry.svc:5000/openshift/httpd:latest
               ports:
                 - containerPort: 8080
   $ oc apply -f dc.yaml
3. Add volumes to the deployment config
   $ oc set volume dc/example2 --add --type=pvc --claim-name=testpvc --mount-path=/data
     deploymentconfig.apps.openshift.io/example2 volume updated
 
Verification Step:
1. Login OCP as administrator, navigate to Storage -> PersistentVolumeClaims page
2. Find the PVC created on Step1 of Prepare data section, click the Action button (three-dot) on the end of the line, and choose the option of 'Clone PVC'
3. Verify if the string for "Storage Class" is updated to "StorageClass"

Result:
3. The space has been removed, now the string of "StorageClass" is shown on the PVC details part on the "Clone PVC" page

Comment 6 errata-xmlrpc 2021-10-18 17:50:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.